
angular.module('starter.controllers')

.controller('AOTSCtrl', function ($scope,$filter,getAotsService,$stateParams) {
    $scope.xAxisValue = [];
    $scope.wrData = [];
   
    $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
    $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");
   
$scope.SelectedLOB = $stateParams.LOB.replace(":","");

    $scope.LoadData = function () {
    
        $scope.xAxisValue = [];
    $scope.wrData = [];
        var wrtodate="";
        var wrfromdate="";
        wrtodate = document.getElementById("aotstodate"+$scope.SelectedLOB+"").value;
        wrfromdate =document.getElementById("aotsfromdate"+$scope.SelectedLOB+"").value;

        console.log(wrfromdate);
        console.log(wrtodate);

        if(wrtodate == "" || wrtodate == null)
        {
            $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
            $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");  
        }
        else{
            $scope.wrtodate = wrtodate;
            $scope.wrfromdate = wrfromdate;
        }

        console.log($scope.wrtodate);
        console.log($scope.wrfromdate );
        var LOB = $scope.SelectedLOB.substring(0,1).toUpperCase() +  $scope.SelectedLOB.slice(1).toLowerCase();
        
    
        $scope.showLoading();
        var webtraxservice = getAotsService.startService($scope.wrfromdate, $scope.wrtodate,LOB);
        webtraxservice.then(
            function (success) {
                console.log(success);
                drwaChartAOTS(success,LOB);
                $scope.hideLoading();
            });

            function drwaChartAOTS(result,lob) {
                var aotsData = result;
                var dateID = [];
                var aotsgrouped = [];
                var dateCategories = [];
                var mobAOTS= []
               console.log('LOB is',lob);
                $.each(aotsData, function(ix, objout) {
                    if(lob == 'Nondox' )
                    {
                        if (((objout.teamName == "Payment") || (objout.teamName == "BDS & DWH") || (objout.teamName == "EMAS"))) {
							mobAOTS.push(objout);
                        }
                        
                    }
                    else{
                        if (!((objout.teamName == "Payment") || (objout.teamName == "BDS & DWH") || (objout.teamName == "EMAS"))) {
							mobAOTS.push(objout);
                        }
                    }
                    
                });

            aotsData = mobAOTS;
console.log('After cahnge',aotsData);
                $.each(aotsData, function(ix, objout) {
            
                    var workableCount = 0
                    var nonWorkableCount = 0
                    var backlogAotsCount = 0;
                    var aotsCountOpenedToday = 0;
            
                    if (!dateID.includes(objout.aotsCreationDate)) {
                        $.each(aotsData, function(ix, objin) {
            
                            if (objout.aotsCreationDate == objin.aotsCreationDate) {
                                workableCount = workableCount + objin.workableCount;
                                nonWorkableCount = nonWorkableCount + objin.nonWorkableCount;
                                backlogAotsCount = backlogAotsCount + objin.backlogAotsCount;
                                aotsCountOpenedToday = aotsCountOpenedToday + objin.aotsCountOpenedToday;
                                totalaotsbacklogAotsCount = backlogAotsCount;
                            }
            
                        });
            
                        var jsonobj = {
                            aotsCreationDate : objout.aotsCreationDate,
                            workableCount : workableCount,
                            nonWorkableCount : nonWorkableCount,
                            backlogAotsCount : backlogAotsCount,
                            aotsCountOpenedToday : aotsCountOpenedToday
                        };
                        aotsgrouped.push(jsonobj);
                        dateCategories.push(objout.aotsCreationDate.split(" ", 1));
            
                        dateID.push(objout.aotsCreationDate);
                    }
            
                });
            
                var aotsCountOpenedToday = {
                    "type" : "column",
                    "name" : "Incoming",
                    "data" : []
            
                }
            
                var workableCount = {
                    "type" : "column",
                    "name" : "workableCount",
                    "data" : []
            
                }
                var nonWorkableCount = {
                    "type" : "column",
                    "name" : "Non-workableCount",
                    "data" : []
            
                }
                var backlogAotsCount = {
                    "type" : "line",
                    "name" : "Backlog",
                    "data" : []
            
                }
                var printData = [];
                $.each(aotsgrouped, function(ix, obj) {
                    aotsCountOpenedToday.data.push(obj.aotsCountOpenedToday);
                    workableCount.data.push(obj.workableCount);
                    nonWorkableCount.data.push(obj.nonWorkableCount);
                    backlogAotsCount.data.push(obj.backlogAotsCount);
                });
            
                printData.push(aotsCountOpenedToday);
                printData.push(workableCount);
                printData.push(nonWorkableCount);
                printData.push(backlogAotsCount);
            
                $scope.wrData = printData;
                $scope.xAxisValue = dateCategories;
                $scope.title = "AOTS Statistics";
            
               
            }
    }
   
    function doOnOrientationChange() {
        console.log('on orientation change')
        var width = window.screen.availWidth;
        console.log('width is ',width)
        if (width >= 767) {
     $('highcharts-column').css({ 'display': 'block', 'width': width-280 });
     console.log('width is 1',width)
      }
        else {
            $('highcharts-column').css({ 'display': 'block', 'width': width });
            console.log('width is 2',width)
           }
    }


    doOnOrientationChange();
    window.addEventListener('orientationchange', doOnOrientationChange);
    $scope.$on('$ionicView.enter', function(e) {
        
        $scope.LoadData();
        doOnOrientationChange();
     });


});








