angular.module('starter.controllers')
    .controller('DashboardCtrl', function ($scope, TaskListService) {

        $scope.$on('$ionicView.enter', function (e) {
            $scope.DashboardLoad();
        });
        $scope.AssignedTasks = 0;
        $scope.ETAMissed = 0;
        $scope.InProgress = 0;
        $scope.Completed = 0;
        $scope.AssignedTasksto = 0;
        $scope.ETAMissedto = 0;
        $scope.InProgressto = 0;
        $scope.Completedto = 0;
        $scope.DashboardLoad = function () {
            $scope.AssignedTasks = 0;
            $scope.ETAMissed = 0;
            $scope.InProgress = 0;
            $scope.Completed = 0;
            $scope.AssignedTasksto = 0;
            $scope.Completedto = 0;
        $scope.ETAMissedto = 0;
        $scope.InProgressto = 0;
            var tasklistservice = TaskListService.startService(window.localStorage['username']);
            tasklistservice.then(
                function (success) {
                    $scope.TaskList = success;
                    angular.forEach($scope.TaskList, function (task, key) {
                        
                        if(task.assignedTo.includes(window.localStorage['username']))
                        {
                            if(task.status == "Completed")
                            {
                                $scope.Completed += 1;
                            }
                            else if(task.status == "InProgress" && !((new Date(task.dueDate)) < (new Date()))) //inporgress but eta not missed
                            {
                                $scope.InProgress += 1;
                            }
                            else if(task.status == "Assigned" && !((new Date(task.dueDate)) < (new Date()))) //assigned but eta not missed
                            {
                                $scope.AssignedTasks += 1;
                            }
                            else if(task.status != "Cancelled" && ((new Date(task.dueDate)) < (new Date()))) //assigned or inprogress task with eta  missed
                            {
                                $scope.ETAMissed += 1;
                            }
                        }

                        if(task.assignedBy.includes(window.localStorage['username']))
                        {
                            if(task.status == "Completed")
                            {
                                $scope.Completedto += 1;
                            }
                            else if(task.status == "InProgress" && !((new Date(task.dueDate)) < (new Date()))) //inporgress but eta not missed
                            {
                                $scope.InProgressto += 1;
                            }
                            else if(task.status == "Assigned" && !((new Date(task.dueDate)) < (new Date()))) //assigned but eta not missed
                            {
                                $scope.AssignedTasksto += 1;
                            }
                            else if(task.status != "Cancelled" && ((new Date(task.dueDate)) < (new Date()))) //assigned or inprogress task with eta  missed
                            {
                                $scope.ETAMissedto += 1;
                            }
                        }
                    });

                });
        }

    });
