angular.module('starter.controllers')
    .controller('IssuesCtrl', function ($scope, $ionicPopup, RRTIssuesCountService,RRTIssuesService) {
        $scope.filter= {};
        $scope.filter.allissues = true;

        $scope.$on('$ionicView.enter', function (e) {
            $scope.showLoading();
            var prioritysum = {};
            var openedItems=0;
            var totalItems=0;
            var issuesCountService = RRTIssuesCountService.startService();
            issuesCountService.then(
                function (success) {
                    
                    $scope.issuesData = success;
                    angular.forEach($scope.issuesData, function (issue, key) {
                        
                        if (prioritysum[issue.priority] == null) {
                            prioritysum[issue.priority] = {};
                            prioritysum[issue.priority][issue.issueStatus] = 0;
                            prioritysum[issue.priority]["total"] = 0;
                        }
                        if (prioritysum[issue.priority][issue.issueStatus] == null)
                            prioritysum[issue.priority][issue.issueStatus] = 0; 

                        prioritysum[issue.priority][issue.issueStatus] += issue.count;
                        prioritysum[issue.priority]["total"] += issue.count;
                        totalItems+=issue.count;

                        

                        prioritysum[issue.priority].toggleIssueDisplay = false;
                        prioritysum[issue.priority].toggleIssueDisplayIcon = "ion-arrow-down-b";
                    });
                    
                    $scope.prioritySum = prioritysum;
                    $scope.totalItems = totalItems;
                    
                    $scope.hideLoading();
                });

            var issuesService = RRTIssuesService.startService();
            issuesService.then(
                function (success){
                    $scope.issues = success;
                    angular.forEach($scope.issues, function(issue, key){
                        issue.showDetails = false;
                        openedItems+=1;
                        $scope.openedItems = openedItems;
                    });
                    $scope.hideLoading();
                });
        });

        $scope.toggleIssueDisplay = function (issue) {
			issue.toggleIssueDisplay = !issue.toggleIssueDisplay;

			if (issue.toggleIssueDisplay)
                issue.toggleIssueDisplayIcon = "ion-arrow-up-b";
			else
			issue.toggleIssueDisplayIcon = "ion-arrow-down-b";
        }	

        $scope.ToggleDetails = function (issue) {
            issue.showDetails = !issue.showDetails;
        }

        $scope.checknum = function (value) {
			return angular.isNumber(value);
		}

    });
