angular.module('starter.controllers')
    .controller('ViewMeetingListCtrl', function ($scope,MeetingListService,UpdateMeetingService) {
        $scope.filter = {};
        $scope.MeetingList = [];
        $scope.filter.allmeetings = true;
        $scope.filter.showDetails = false;
        $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);

        $scope.$on('$ionicView.enter', function(e) {
            $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);
            $scope.filter.allmeetings = true;
            $scope.filter.showDetails = false;
            $scope.showLoading();
            var meetingListService = MeetingListService.startService(window.localStorage['username']);
            meetingListService.then(
                function (success) {
                    console.log(success);
                    $scope.MeetingList = success;
                    angular.forEach($scope.MeetingList, function (meeting, key) {
                       
                        meeting.showDetails = false;
                        meeting.attendeesName = "";
                        meeting.originatorName  = "";
                         angular.forEach($scope.nameOptions, function (obj, key) {
                            if(meeting.attendees.includes(obj.attuid))
                            {meeting.attendeesName += obj.fullName+",";}
                            if(meeting.originator.includes(obj.attuid))
                            {meeting.originatorName += obj.fullName+",";}
                        });
                        meeting.attendeesName = meeting.attendeesName.slice(0,-1);
                        meeting.originatorName  = meeting.originatorName.slice(0,-1);

    
                    });
                    $scope.hideLoading();
                });
         });

        $scope.ToggleDetails = function (meeting) {
            meeting.showDetails = !meeting.showDetails;
        }

        $scope.UpdateMeeting = function (meeting) {
            $scope.showLoading();
		var updatemeetingservice = UpdateMeetingService.startService($scope.getParams(meeting));
		updatemeetingservice.then(
			function(success) {
                console.log(success);
                $scope.hideLoading();
				        });
			
        }

        $scope.filter.alltasks = true;
        $scope.filter = function (task) {

            if ($scope.filter.allmeetings)
            return true;

            if ($scope.filter.originator && task.originator.includes(window.localStorage['username']))
                    return true;
                else if ($scope.filter.attendees && task.attendees.includes(window.localStorage['username']))
                    return true;
                else
                    return false;
            
        }

    });
