
angular.module('starter.controllers')

.controller('ClarifyCtrl', function ($scope,$filter, getClarifyService,$stateParams) {
    $scope.xAxisValue = [];
    $scope.wrData = [];
    $scope.clarifytodate = $filter('date')((new Date()), "yyyy-MM-dd");
    $scope.clarifyfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");
   
$scope.SelectedLOB = $stateParams.LOB.replace(":","");

    $scope.LoadData = function () {
  $scope.xAxisValue = [];
    $scope.wrData = [];
        var clarifytodate="";
        var clarifyfromdate="";
        clarifytodate = document.getElementById("clarifytodate"+$scope.SelectedLOB+"").value;
        clarifyfromdate =document.getElementById("clarifyfromdate"+$scope.SelectedLOB+"").value;

        console.log(clarifyfromdate);
        console.log(clarifytodate);

        if(clarifytodate == "" || clarifytodate == null)
        {
            $scope.clarifytodate = $filter('date')((new Date()), "yyyy-MM-dd");
            $scope.clarifyfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");  
        }
        else{
            $scope.clarifytodate = clarifytodate;
            $scope.clarifyfromdate = clarifyfromdate;
        }

        console.log($scope.clarifytodate);
        console.log($scope.clarifyfromdate );
        var LOB = $scope.SelectedLOB.substring(0,1).toUpperCase() +  $scope.SelectedLOB.slice(1).toLowerCase();
        
    
        $scope.showLoading();
        var webtraxservice = getClarifyService.startService($scope.clarifyfromdate, $scope.clarifytodate);
        webtraxservice.then(
            function (success) {
                console.log(success);
                drawChartWr(success);
                $scope.hideLoading();
            });

        function drawChartWr(result) {
            var wrData = result;
            var dateID = [];
            var wrgrouped = [];
            var dateCategories = [];

            $scope.title = $scope.SelectedLOB + "Incoming/Outgoing";
            $.each(wrData, function (ix, objout) {
                var sod = 0
                var handled = 0
                var backlog = 0;
                var incoming = 0;
                if (!dateID.includes(objout.clarifyCreationDate)) {
                    $.each(wrData, function (ix, objin) {
                        if (objout.clarifyCreationDate == objin.clarifyCreationDate) {
                            sod = sod + objin.startOfDay;
                            handled = handled + objin.outgoing;
                            backlog = backlog + objin.backlog;
                            incoming = incoming + objin.incoming;

                        }
                    });
                    var jsonobj = {
                        Insert_date: objout.insertDate,
                        SOD: sod,
                        Handled: handled,
                        Backlog: backlog,
                        Incoming: incoming
                    };
                    wrgrouped.push(jsonobj);
                    dateCategories.push(objout.clarifyCreationDate.split(" ", 1));

                    dateID.push(objout.clarifyCreationDate);
                }

            });

            var sod = {
                "type": "column",
                "name": "SOD",
                "data": []

            }

            var incoming = {
                "type": "column",
                "name": "Incoming",
                "data": []

            }
            var Handled = {
                "type": "column",
                "name": "Handled",
                "data": []

            }
            var Backlog = {
                "type": "line",
                "name": "Backlog",
                "data": []

            }
            var printData = [];
            $.each(wrgrouped, function (ix, obj) {
                sod.data.push(obj.SOD);
                Handled.data.push(obj.Handled);
                incoming.data.push(obj.Incoming);
                Backlog.data.push(obj.Backlog);
            });

            printData.push(sod);
            printData.push(incoming);
            printData.push(Handled);
            printData.push(Backlog);
console.log('Print Clarify Data',printData);

            var cat1 = dateCategories.map(function (date) {
                let
                    formatOptions = {
                        month: '2-digit',
                        day: '2-digit',
                        year: 'numeric'
                    };
                return new Date(date).toLocaleDateString(undefined, formatOptions);
            });
            $scope.wrData = printData;
            $scope.xAxisValue = cat1;
            $scope.title = "Clarify Statistics";
        }
    }

    function doOnOrientationChange() {
        console.log('on orientation change')
        var width = window.screen.availWidth;
        console.log('width is ',width)
        if (width >= 767) {
     $('highcharts-column').css({ 'display': 'block', 'width': width-280 });
     console.log('width is 1',width)
      }
        else {
            $('highcharts-column').css({ 'display': 'block', 'width': width });
            console.log('width is 2',width)
           }
    }


    doOnOrientationChange();
    window.addEventListener('orientationchange', doOnOrientationChange);
    // window.addEventListener('orientationchange', doOnOrientationChange);
    $scope.$on('$ionicView.enter', function(e) {
        doOnOrientationChange();
        $scope.LoadData();
     });


});





