angular.module('starter.controllers')
	.controller('ReportingCtrl', function ($scope, $ionicPopup, RRTImagePromise) {
		$scope.$on('$ionicView.enter', function (e) {
			$scope.showLoading();

			var imagePromise = RRTImagePromise.startService($scope.getTimeFormat(),$scope.myDeviceInfo() );
			imagePromise.then(

				function(success){
					$scope.imageData = success;
					$scope.mainImage = success.imageUri;
					console.log($scope.mainImage);
				}
			);

			$scope.hideLoading();
		});
});
