angular.module('starter.controllers')
	.controller('TicketsCountCtrl', function ($scope, WRCountService, $stateParams) {
		$scope.WRQueues = JSON.parse(window.localStorage["WRQueues"]);

		$scope.$on('$ionicView.enter', function (e) {
			$scope.TicketType = $stateParams.TicketType.replace(":", "");

			$scope.PageLoad();

		});
		$scope.TicketType = $stateParams.TicketType.replace(":", "");

		$scope.PageLoad = function () {
			$scope.showLoading();
			
			switch($scope.TicketType)
			{
				case "Webtrax" : ticketcountservice = WRCountService.startService();break;

			}
			ticketcountservice.then(
				function (success) {
					console.log(success);
					$scope.counts = success;
					$scope.Usertotalcount = 0;
			angular.forEach($scope.counts, function (obj, key) {
				//Add to users total count
				$scope.Usertotalcount += obj.assignedItems;
				obj.toggleGroupDisplay = true;
				obj.toggleGroupDisplayIcon = "ion-arrow-up-b";
				//set groupname
				angular.forEach($scope.WRQueues, function (Queue, key) {
					if (Queue.groupId == obj.groupId)
						obj.groupName = Queue.groupName;

				});
			});	
			$scope.hideLoading();
			 	});
			// $scope.counts = [
			// 	{
			// 		"assignedItems": 0,
			// 		"groupId": 749,
			// 		"ticketCounts": 95,
			// 		"unassignedItems": 90
			// 	}
			// ]
			
		}

		$scope.toggleGroupDisplay = function (Group) {
			Group.toggleGroupDisplay = !Group.toggleGroupDisplay;

			if (Group.toggleGroupDisplay)
				Group.toggleGroupDisplayIcon = "ion-arrow-up-b";
			else
			Group.toggleGroupDisplayIcon = "ion-arrow-down-b";
		}		
	});
