angular.module('starter.controllers')
	.controller('TicketsCtrl', function ($scope, TicketCountService, $stateParams) {

		$scope.$on('$ionicView.enter', function (e) {
			$scope.TicketType = $stateParams.TicketType.replace(":", "");
			$scope.LOBCounts = [];
			$scope.PageLoad();

		});
		$scope.TicketType = $stateParams.TicketType.replace(":", "");
		$scope.LOBCounts = [];
		$scope.PageLoad = function () {
			$scope.showLoading();
			var ticketcountservice = TicketCountService.startService();
			ticketcountservice.then(
				function (success) {
					console.log('ticket count service', success);
					$scope.ItemList = success;
					angular.forEach($scope.ItemList, function (Item, key) {
						angular.forEach(Item.backlogs, function (obj, key) {
							if (obj.ticketType.toLowerCase() == $scope.TicketType.toLowerCase()) {
								obj.color = "green";
								if (obj.backlogCount > obj.minVal) {
									obj.color = "yellow";
								}
								if (obj.backlogCount > obj.maxVal) {
									obj.color = "red";
								}
								obj.url = "#/app/" + obj.ticketType.toLowerCase() + ":" + Item.area;
								$scope.LOBCounts.push({
									"LOB": Item.area,
									"Count": obj.backlogCount,
									"url": obj.url,
									"color": obj.color
								})
							}
						});

					});
					$scope.hideLoading();
				}
			);
		}
	});
